Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
hoanghung.k2012

Xin được giúp đỡ về cách tao point và xuất tọa độ cho cao

Các bài được khuyến nghị

Hiện em đang xử lý một File số liệu cần được các bác trên diễn đàn giúp đỡ

Em đang cần một hoặc 2 cái Lisp có thể giải quyết được vấn đề sau

- Tao Point tại chân Text cao độ

- Xuất tọa độ các Point và Text cao độ sang Txt hoặc Excell theo thứ tự Y X H

(theo tọa độ màn hình CAD)

Em đã Search trên diễn đàn nhưng không có cái Lisp nào cả

Rất mong các bác Pro về Lisp có thể giúp em giải quyết vấn đề hoóc búa này

đây là file của em

http://www.cadviet.c...3/115104_vd.dwg

Em xin cảm ơn các bác trước !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hiện em đang xử lý một File số liệu cần được các bác trên diễn đàn giúp đỡ

Em đang cần một hoặc 2 cái Lisp có thể giải quyết được vấn đề sau

- Tao Point tại chân Text cao độ

- Xuất tọa độ các Point và Text cao độ sang Txt hoặc Excell theo thứ tự Y X H

(theo tọa độ màn hình CAD)

Em đã Search trên diễn đàn nhưng không có cái Lisp nào cả

Rất mong các bác Pro về Lisp có thể giúp em giải quyết vấn đề hoóc búa này

đây là file của em

http://www.cadviet.c...3/115104_vd.dwg

Em xin cảm ơn các bác trước !

Không biết có phải xuất ra như thế này không??

2349474 590244.4 7.168 2349423 590260.8 6.23 2349440 590247.1 6.26 2349448 590258 6.25 2349459 590264 6.23 2349459 590253.3 6.22 2349468 590255.6 6.23 2349473 590272.6 6.29 2349470 590285.9 6.25 2349476 590293.5 6.24 2349462 590297.3 6.29 2349463 590276 6.27 2349453 590297.3 6.3 2349447 590289.3 6.3 2349450 590273.7 6.31 2349428 590271.2 6.18 2349425 590284.3 6.19 2349436 590285.8 6.2 2349435 590304 6.17 2349426 590296.5 6.18 2349425 590310.2 6.18 2349406 590275.2 6.24 2349412 590286.4 6.23 2349409 590298.2 6.19 2349404 590306.1 6.2 2349415 590314.1 6.19 2349409 590318.5 6.2 2349403 590320.8 6.2 2349471 590301.4 5.9 2349459 590306 5.89 2349443 590312.4 5.9 2349431 590316.9 5.9 2349416 590322.4 5.9 2349366 590314.7 6.31 2349385 590313 6.25 2349391 590325 6.24 2349376 590319.7 6.26 2349396 590298.4 6.25 2349364 590334.1 6.31 2349372 590331.3 6.3 2349353 590333.4 6.3

........

 

 

 

Nhưng mình chẳng hiểu Bạn cần tạo cái Point để làm gì???

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái này trên diễn đàn đã có... Mình copy và paste cho Bạn nè! Dùng thử có đunhs ý không nhen???

(defun c:xuat()
(setq ss (ssget '((0 . "TEXT")))
fn (getfiled "Ten file: " "" "txt" 1)
f (open fn "w")
lst (ss2ent ss)
)
(foreach e lst
(setq tt (entget e)
p (cdr (assoc 10 tt))
x (rtos (car p))
y (rtos (cadr p))
nd (cdr (assoc 1 tt))
)
(write-line (strcat y "\t" x "\t" nd ) f)
)
(close f)
(princ)
)
(defun ss2ent (ss / sodt index lstent)
(setq sodt (if ss (sslength ss) 0 )
index 0
)
(repeat sodt
(setq ent  (ssname ss index)
index  (1+ index)
lstent (cons ent lstent)
)
)
(reverse lstent)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái này trên diễn đàn đã có... Mình copy và paste cho Bạn nè! Dùng thử có đunhs ý không nhen???

(defun c:xuat()
(setq ss (ssget '((0 . "TEXT")))
fn (getfiled "Ten file: " "" "txt" 1)
f (open fn "w")
lst (ss2ent ss)
)
(foreach e lst
(setq tt (entget e)
p (cdr (assoc 10 tt))
x (rtos (car p))
y (rtos (cadr p))
nd (cdr (assoc 1 tt))
)
(write-line (strcat y "\t" x "\t" nd ) f)
)
(close f)
(princ)
)
(defun ss2ent (ss / sodt index lstent)
(setq sodt (if ss (sslength ss) 0 )
index 0
)
(repeat sodt
(setq ent  (ssname ss index)
index  (1+ index)
lstent (cons ent lstent)
)
)
(reverse lstent)
)

 

Rất cảm ơn bạn !

Đây là cái Lisp may mình cần, Mình đã search tìm mà không thấy. một lần nữa xin cảm ơn sự giúp đỡ của bạn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×